## com.google.debugging.sourcemap.proto
Interface Mapping.OriginalMappingOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Mapping.OriginalMapping, Mapping.OriginalMapping.Builder

Enclosing class:
  Mapping

    public static interface Mapping.OriginalMappingOrBuilder

extends com.google.protobuf.MessageOrBuilder

Method Summary
`int` | `getColumnPosition()`
`String` | `getIdentifier()`
`int` | `getLineNumber()`
`String` | `getOriginalFile()`
`boolean` | `hasColumnPosition()`
`boolean` | `hasIdentifier()`
`boolean` | `hasLineNumber()`
`boolean` | `hasOriginalFile()`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder
`isInitialized`

Method Detail

### hasOriginalFile

    boolean hasOriginalFile()

### getOriginalFile

    String getOriginalFile()

### hasLineNumber

    boolean hasLineNumber()

### getLineNumber

    int getLineNumber()

### hasColumnPosition

    boolean hasColumnPosition()

### getColumnPosition

    int getColumnPosition()

### hasIdentifier

    boolean hasIdentifier()

### getIdentifier

    String getIdentifier()